Bug 201351 - pam_pkcs11 needs to record the certificate used.
pam_pkcs11 needs to record the certificate used.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pam_pkcs11 (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bob Relyea
:
Depends On:
Blocks: 181386 181509 202651
  Show dependency treegraph
 
Reported: 2006-08-04 11:30 EDT by Bob Relyea
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 09:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Relyea 2006-08-04 11:30:44 EDT
Description of problem:

pam_pkcs11 will use a certificate to authenticate the user. It then needs to
pass that certificate to pam_krb so the pkinit engine can use that certificate
to get the kerberos credentials.
Comment 2 Orla Hegarty 2006-09-14 18:25:22 EDT
All of these bugs are being marked as targeted to be fixed in beta 2. However
only a subset of these bugs will be actual beta blockers. I am marking all of
these bugs a beta 2 target milestones.

Beta Blockers reflect bugs that are critical to this beta 2 release. Flags will
be set as appropriate on a case by case basis for each critical beta blocker. 
Comment 3 Orla Hegarty 2006-09-19 20:09:33 EDT
Release Criteria match 16.d
Comment 4 Bob Relyea 2006-09-26 14:18:26 EDT
 Fixed in pam_pkcs11-0.5.3-21
Issuer is returned as a string in environment variable PKCS11_LOGIN_CERT_ISSUER
Serial number is returned as a hex string PKCS11_LOGIN_CERT_SERIAL
Comment 6 Jay Turner 2006-11-13 09:48:30 EST
Closing out as included in latest RHEL5 builds (20061111.0)

Note You need to log in before you can comment on or make changes to this bug.